-- "High Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/



defineObject{
   name = "high_temple_ceiling_lamp",
   class = "LightSource",
   lightPosition = vec(0, 3, 0),
   lightRange = 10,
   lightColor = vec(0.5, 0.5, 0.5),
   brightness = 11,
   castShadow = true,
   particleSystem = false,
   placement = "floor",
   editorIcon = 88,
   }

defineObject{
   name = "high_temple_ceiling_shaft",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_ceiling_pit.fbx",
   placement = "ceiling",
   editorIcon = 104,
   }



defineObject{
   name = "high_temple_door_iron",
   class = "Door",
   model = "assets/models/env/door_iron.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame_wide.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_iron_open",
   closeSound = "gate_iron_close",
   lockSound = "gate_lock",
   killPillars = true,
   doubleDoor = true,
   openVelocity = 1.1,
   closeVelocity = -1.1,
   closeAcceleration = 0,
   placement = "wall",
   editorIcon = 16,
   }

defineObject{
   name = "high_temple_door_metal",
   class = "Door",
   model = "assets/models/env/door_metal.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_open",
   closeSound = "gate_close",
   lockSound = "gate_lock",
   killPillars = true,
   openVelocity = 1.3,
   closeVelocity = 0,
   closeAcceleration = -10,
   placement = "wall",
   editorIcon = 124,
   }

defineObject{
   name = "high_temple_door_ornament",
   class = "Door",
   model = "assets/models/env/door_ornament.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_open",
   closeSound = "gate_close",
   lockSound = "gate_lock",
   killPillars = true,
   openVelocity = 1.3,
   closeVelocity = 0,
   closeAcceleration = -10,
   placement = "wall",
   editorIcon = 124,
   }

defineObject{
   name = "high_temple_door_portcullis",
   class = "Door",
   model = "assets/models/env/door_portcullis.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_open",
   closeSound = "gate_close",
   lockSound = "gate_lock",
   killPillars = true,
   openVelocity = 1.3,
   closeVelocity = 0,
   closeAcceleration = -10,
   sparse = true,
   placement = "wall",
   editorIcon = 124,
   }

defineObject{
   name = "high_temple_door_steel",
   class = "Door",
   model = "mod_assets/models/high_temple/high_temple_steel_door.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame_wide.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_iron_open",
   closeSound = "gate_iron_close",
   lockSound = "gate_lock",
   killPillars = true,
   doubleDoor = true,
   openVelocity = 1.1,
   closeVelocity = -1.1,
   closeAcceleration = 0,
   placement = "wall",
   editorIcon = 16,
   }

defineObject{
   name = "high_temple_door_wooden",
   class = "Door",
   model = "assets/models/env/door_wooden.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_open",
   closeSound = "gate_close",
   lockSound = "gate_lock",
   killPillars = true,
   openVelocity = 1.3,
   closeVelocity = 0,
   closeAcceleration = -10,
   placement = "wall",
   editorIcon = 128,
   }

defineObject{
   name = "high_temple_door_wooden_locked",
   class = "Door",
   model = "assets/models/env/door_wooden_locked.fbx",
   doorFrameModel = "mod_assets/models/high_temple/high_temple_door_frame.fbx",
   pullChainModel = "assets/models/env/door_pullchain.fbx",
   pullChainAnim = "assets/animations/env/door_pullchain.fbx",
   openSound = "gate_open",
   closeSound = "gate_close",
   lockSound = "gate_lock",
   killPillars = true,
   openVelocity = 1.3,
   closeVelocity = 0,
   closeAcceleration = -10,
   locked = true,
   lockPos = vec(0, 1.05, 0),
   lockSize = vec(100, 140),
   placement = "wall",
   editorIcon = 128,
   }

defineObject{
   name = "high_temple_secret_door",
   class = "Door",
   model = "mod_assets/models/high_temple/high_temple_secret_door.fbx",
   openSound = "wall_sliding",
   closeSound = "wall_sliding",
   lockSound = "wall_sliding_lock",
   openVelocity = 0.5,
   closeVelocity = -0.5,
   secretDoor = true,
   placement = "wall",
   editorIcon = 120,
   }

defineObject{
   name = "high_temple_wall_grating",
   class = "Door",
   model = "mod_assets/models/high_temple/high_temple_wall_grating.fbx",
   openSound = "gate_open",
   closeSound = "gate_close",
   lockSound = "gate_lock",
   openVelocity = 1.3,
   closeVelocity = 0,
   closeAcceleration = -10,
   sparse = true,
   placement = "wall",
   editorIcon = 132,
   }



defineObject{
   name = "high_temple_cave_in",
   class = "Blockage",
   model = "mod_assets/models/high_temple/high_temple_cave_in.fbx",
   placement = "floor",
   repelProjectiles = true,
   hitSound = "impact_blade",
   editorIcon = 144,
   }

defineObject{
   name = "high_temple_cave_in_ceiling",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_cave_in_ceiling.fbx",
   placement = "ceiling",
   editorIcon = 144,
   }



defineObject{
   name = "high_temple_pillar",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_pillar.fbx",
   placement = "pillar",
   editorIcon = 108,
   }



defineObject{
   name = "high_temple_floor_drainage",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_floor_drainage.fbx",
   placement = "floor",
   replacesFloor = true,
   editorIcon = 136,
   }

defineObject{
   name = "high_temple_pit",
   class = "Pit",
   model = "mod_assets/models/high_temple/high_temple_pit.fbx",
   trapDoorModel = "assets/models/env/temple_pit_trapdoor.fbx",
   openAnim = "assets/animations/env/temple_pit_trapdoor_open.fbx",
   closeAnim = "assets/animations/env/temple_pit_trapdoor_close.fbx",
   placement = "floor",
   editorIcon = 40,
   }

defineObject{
   name = "high_temple_pressure_plate",
   class = "PressurePlate",
   model = "mod_assets/models/high_temple/high_temple_pressure_plate.fbx",
   activateAnim = "assets/animations/env/temple_pressure_plate_down.fbx",
   deactivateAnim = "assets/animations/env/temple_pressure_plate_up.fbx",
   placement = "floor",
   editorIcon = 0,
   }



defineObject{
   name = "high_temple_catacomb_empty",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_catacomb_empty.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_catacomb_skeleton_down",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_catacomb_skeleton_down.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_catacomb_skeleton_up",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_catacomb_skeleton_up.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_alcove",
   class = "Alcove",
   model = "mod_assets/models/high_temple/high_temple_wall_alcove.fbx",
   replacesWall = true,
   anchorPos = vec(0, 0.85, 0.2),
   targetPos = vec(0,1.3,0),
   targetSize = vec(0.6, 0.5, 0.6),
   placement = "wall",
   editorIcon = 8,
   }

defineObject{
   name = "high_temple_wall_drainage",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_wall_drainage.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_wall_fresco",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_wall_fresco.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_mosaic_wall_1",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_mosaic_wall_01.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_mosaic_wall_2",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_mosaic_wall_02.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_glass_wall_1",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_glass_wall_01.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_glass_wall_2",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_glass_wall_02.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_glass_wall_3",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_glass_wall_03.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 92,
   }



defineObject{
   name = "high_temple_stairs_down",
   class = "Stairs",
   model = "mod_assets/models/high_temple/high_temple_stairs_down.fbx",
   down = true,
   editorIcon = 48,
   }

defineObject{
   name = "high_temple_stairs_up",
   class = "Stairs",
   model = "mod_assets/models/high_temple/high_temple_stairs_up.fbx",
   down = false,
   editorIcon = 44,
   }



defineObject{
   name = "high_temple_gladiator_statue_axe",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_gladiator_statue_battle_axe.fbx",
   placement = "wall",
   replacesWall = true,
   statueBase = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_gladiator_statue_flail",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_gladiator_statue_flail.fbx",
   placement = "wall",
   replacesWall = true,
   statueBase = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_gladiator_statue_spear",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_gladiator_statue_spear.fbx",
   placement = "wall",
   replacesWall = true,
   statueBase = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_gladiator_statue_sword",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_gladiator_statue_dismantler.fbx",
   placement = "wall",
   replacesWall = true,
   statueBase = true,
   editorIcon = 92,
   }

defineObject{
   name = "high_temple_goromorg_statue",
   class = "Decoration",
   model = "mod_assets/models/high_temple/high_temple_goromorg_statue.fbx",
   placement = "wall",
   replacesWall = true,
   statueBase = true,
   editorIcon = 92,
   }



defineObject{
   name = "high_temple_secret_button_large",
   class = "Button",
   model = "mod_assets/models/high_temple/high_temple_secret_button_large.fbx",
   pressAnim = "assets/animations/env/temple_secret_button_large_press.fbx",
   replacesWall = true,
   placement = "wall",
   editorIcon = 12,
   }

defineObject{
   name = "high_temple_secret_button_small",
   class = "Button",
   model = "mod_assets/models/high_temple/high_temple_secret_button_small.fbx",
   pressAnim = "assets/animations/env/temple_secret_button_small_press.fbx",
   replacesWall = true,
   placement = "wall",
   editorIcon = 12,
   }

defineObject{
   name = "high_temple_secret_button_tiny",
   class = "Button",
   model = "mod_assets/models/high_temple/high_temple_secret_button_tiny.fbx",
   pressAnim = "assets/animations/env/temple_secret_button_tiny_press.fbx",
   replacesWall = true,
   placement = "wall",
   editorIcon = 12,
   }



defineObject{
   name = "high_temple_wall_text",
   class = "WallText",
   model = "mod_assets/models/high_temple/high_temple_wall_text.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 28,
   }

defineObject{
   name = "high_temple_wall_text_long",
   class = "WallText",
   model = "mod_assets/models/high_temple/high_temple_wall_text_long.fbx",
   placement = "wall",
   replacesWall = true,
   editorIcon = 28,
   }
